Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNextUniqueMultipleKey Method
Cursor Class See Also Send Feedback

If the cursor is not yet initialized, MoveNextUniqueMultipleKey is identical to MoveFirstMultipleKey()()(). Otherwise, move the cursor to the next non-duplicate key in the database, and store that key and associated datum and as many ensuing key/data pairs that can fit in a buffer the size of one database page in CurrentMultipleKey. MoveNextUniqueMultipleKey will return false if no non-duplicate key/data pairs exist after the cursor position in the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public bool MoveNextUniqueMultipleKey()

Visual Basic (Declaration)
    Public Function MoveNextUniqueMultipleKey As Boolean

Visual C++
    public:
    bool MoveNextUniqueMultipleKey()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveNextUniqueMultipleKey Overload
BerkeleyDB Namespace